package net.northking.cctp.upperComputer.driver.ios.command.data;


import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class HoldUiNodeData extends SearchUiNodeData {

    public double duration;

    public void setDuration(double duration) {
        this.duration = duration;
    }

    public double getDuration() {
        return duration;
    }

    @Override
    public void buildFromInput(DataInput dataInput) throws IOException {
        super.buildFromInput(dataInput);
        duration = dataInput.readDouble();
    }

    @Override
    public void encodeToOutput(DataOutput dataOutput) throws IOException {
        super.encodeToOutput(dataOutput);
        dataOutput.writeDouble(duration);
    }
}
